---
# playbooks/minimal_base.yml

- name: "Configure minimal_base"
  hosts: "{{ target | default('none') }}"

  tasks:

    # Basics

    - name: "Import dnf Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.dnf"

    - name: "Import bash Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.bash"

    - name: "Import hostname Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.hostname"

    - name: "Import sshd Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.sshd"

    - name: "Import chrony Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.chrony"

    - name: "Import timezone Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.timezone"

    # Performance and Power

    - name: "Import tuned Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.tuned"

    - name: "Import thermald Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.thermald"

    # Security

    - name: "Import selinux Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.selinux"

    - name: "Import firewalld Role"
      ansible.builtin.import_role:
        name: "whiletruedoio.general.firewalld"
...
